Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class SQLServerSQLBuilderImpl

`java.lang.Object
oracle.jbo.common.CommonCriteriaAdapter
oracle.jbo.server.BaseSQLBuilderImpl
oracle.jbo.server.SQL92SQLBuilderImpl
oracle.jbo.server.SQLServerSQLBuilderImpl`

All Implemented Interfaces:
  SQLBuilder, ViewCriteriaAdapter

public class SQLServerSQLBuilderImpl
extends SQL92SQLBuilderImpl

SQLServer specific implementation of the `SQLBuilder` interface.

Since:
  JDeveloper 3.2

Field Summary

Fields inherited from class oracle.jbo.server.SQL92SQLBuilderImpl
`ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED, mSQLBuilderInterface, ORACLE_ROWID_COLUMN`

Fields inherited from interface oracle.jbo.server.SQLBuilder
`BINDING_STYLE_JDBC, BINDING_STYLE_ORACLE, BINDING_STYLE_ORACLE_NAME, BINDING_STYLE_UNKNOWN, DML_DELETE, DML_INSERT, DML_UPDATE`

Constructor Summary
`SQLServerSQLBuilderImpl()`

Method Summary
`java.lang.String` | `getDbTimeQuery()` Returns a SQL statement to obtain the current time from the database.
`java.lang.String` | `getDbType()` Returns a string uniquely identifying this type of SQLBuilder.
`static SQLBuilder` | `getInterface()` Gets the singleton instance of this class.
`protected java.lang.String` | `getJDBCDriverClassName(java.lang.String url)` Defaults to the microsoft supplied JDBC driver, but you can override this with the system property.
`protected boolean` | `getLockTrailerIsAtEnd()` SQLServer permits the lock clause before the WHERE clause.
`protected java.lang.String` | `getSqlVariantLockTrailer()` Returns the lock trailer from the System properties.
`protected boolean` | `getSupportsAliasInUpdateStatements()` SQL*Server doesn't support this: eg: "update EMP Employees (set NAME='Brian') where ID=42"
`java.lang.String` | `getVersion()` Gets a string describing the version of this implentation of this interface.

Methods inherited from class oracle.jbo.server.SQL92SQLBuilderImpl
`getCreateSequenceInsertTriggerSQL, getCreateSequenceSQL, getDropSequenceSQL, getDropTableSQL, getPersistManagerClassName, getQueryHitCountSQL, getTypeMapName, isDisplayBindValueUI`

Methods inherited from class oracle.jbo.server.BaseSQLBuilderImpl
`baseBuildSelectList, bindDeleteStatement, bindInsertStatement, bindOptUpdateWhereClause, bindParametersForStmt, bindParamValue, bindUpdateStatement, bindWhereAttrValue, bindWhereClause, bindWhereClause, buildDeleteStatement, buildInsertStatement, buildOptUpdateWhereClause, buildSelectList, buildSelectString, buildSelectString, buildUpdateStatement, buildWhereClause, capabilityCanReuseLockStatements, checkTableNameForQuotes, compareFetchedValue, convertFlags, convertValueToStorageType, convertValueToWhereFragment, convertValueToWhereFragment, createHandleForCancellableStatements, doEntityDML, doEntitySelect, doLoadBulkFromResultSet, doLoadFromResultSet, doLoadFromStatement, doPreparedStatementDefineColumnType, doPreparedStatementDefines, doRefreshSQL, doRegisterDefaultDriver, doStatementSetBindingStyle, doStatementSetBindingStyleDefault, doStatementSetRowPrefetch, dumpConstraint, executeBatch, formatAttributeValue, generatePKBasedRef, generateRefAndOID, generateRowID, getBaseTable, getColumnNameWithFormatForQuery, getConstraints, getConstraintsList, getCurrentDbTime, getDefaultBindingStyle, getFormattedLHSCompareFragment, getFormattedLHSCompareFragment, getFormattedLHSCompareFragment, getFormattedRHSCompareFragment, getFormattedRHSCompareFragment, getFormattedRHSCompareFragment, getMaxTableNameLength, getNestedTables, getQuotationMarkLeft, getQuotationMarkRight, getROWID, getSchemaList, getSchemas, getTableList, getTableList, getTables, getTables, getViewCriteriaAdapter, getViewCriteriaClause, getWarningText, invalidDatumFactoryUsage, isConnectionAlive, isDataSourceJTABased, isNewLineAllowedInSQL, isStreamType, jdbcClientSideSecurity, lookupDataSource, needsQuotedTableName, populateJboTypeMapEntries, processException, releaseSavepoint, rollbackToSavepoint, setSavepoint, shouldSkipDML, supportsReturningClause, supportsRowNumQuery`

Methods inherited from class oracle.jbo.common.CommonCriteriaAdapter
`convertValueToWhereFragment, getCriteriaClause, isCharType, isNumericType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.server.SQLBuilder
`isCharType, isNumericType`

Constructor Detail

### SQLServerSQLBuilderImpl

    public SQLServerSQLBuilderImpl()

Method Detail

### getInterface

    public static SQLBuilder getInterface()

  Gets the singleton instance of this class.
  Returns:
    a `SQLBuilder` instance.

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: `SQLBuilder`
  Gets a string describing the version of this implentation of this interface.
  Specified by:
    `getVersion` in interface `SQLBuilder`
  Overrides:
    `getVersion` in class `SQL92SQLBuilderImpl`

### getDbType

    public java.lang.String getDbType()

  Description copied from interface: `SQLBuilder`
  Returns a string uniquely identifying this type of SQLBuilder. Examples are: "Oracle", "OLite", "SQL92".
  Specified by:
    `getDbType` in interface `SQLBuilder`
  Overrides:
    `getDbType` in class `SQL92SQLBuilderImpl`

### getJDBCDriverClassName

    protected java.lang.String getJDBCDriverClassName(java.lang.String url)

  Defaults to the microsoft supplied JDBC driver, but you can override this with the system property.
  Overrides:
    `getJDBCDriverClassName` in class `SQL92SQLBuilderImpl`
  Parameters:
    `url` - the JDBC url.
  Returns:
    the class name from the System properties if set, or the default microsoft driver if it isn't.

### getSqlVariantLockTrailer

    protected java.lang.String getSqlVariantLockTrailer()

  Description copied from class: `SQL92SQLBuilderImpl`
  Returns the lock trailer from the System properties. Subclasses override this method to provide database specific trailer.
  Overrides:
    `getSqlVariantLockTrailer` in class `SQL92SQLBuilderImpl`
  Returns:
    SQL clause to lock a row in the database.

### getLockTrailerIsAtEnd

    protected boolean getLockTrailerIsAtEnd()

  SQLServer permits the lock clause before the WHERE clause.
  Overrides:
    `getLockTrailerIsAtEnd` in class `BaseSQLBuilderImpl`
  Returns:
    `false`.

### getDbTimeQuery

    public java.lang.String getDbTimeQuery()

  Description copied from class: `BaseSQLBuilderImpl`
  Returns a SQL statement to obtain the current time from the database.
  Overrides:
    `getDbTimeQuery` in class `SQL92SQLBuilderImpl`

### getSupportsAliasInUpdateStatements

    protected boolean getSupportsAliasInUpdateStatements()

  SQL*Server doesn't support this: eg: "update EMP Employees (set NAME='Brian') where ID=42"
  Overrides:
    `getSupportsAliasInUpdateStatements` in class `BaseSQLBuilderImpl`
  Returns:
    false.
  Since:
    10.1.2 29Jul04

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.